Subject: Re: bug#55368: 29.0.50; Unreliable input-pending-p and throw-on-input on Emacs 29 / pgtk in Wayland

From: Vijay Marupudi <[email-masked]>
Date: Fri, 13 May 2022 10:07:12 -0500

I cannot reproduce the bug anymore, not sure why. The screencasts I
had provided in the Github issue show that experienced it, but for
some reason I don't see it anymore. I tried bisecting the commits, and
I couldn't find the commit with the bug anymore.

Sorry about that. There might be numerous reason why I can't replicate
this bug anymore One reason could be that there was some bug fixed in
the packages that had been updated since then. I have included the
list of packages that have been upgraded for archival reasons.

Additionally, it is possible that I might have forgotten to call
autoreconf -vif and ./configure --options ... before compiling the
version of Emacs and there might have been some stale files linked in.
I have no way of checking this now.

Po Lu <[email-masked]> writes:

> Does that mean the bug doesn't happen in the regular X build, or does it
> mean that nothing happens if you run the PGTK build under X Windows?

For archival reasons, this happened in PGTK in Wayland, but not in
PGTK in X.Org.

Sorry about the inconvenience. This bug can be closed.

Packages that have been upgraded since then:

[2022-05-11T08:02:35-0500] gnutls
[2022-05-11T08:02:35-0500] sqlite
[2022-05-11T08:02:35-0500] chromium
[2022-05-11T08:02:35-0500] criu
[2022-05-11T08:02:36-0500] pyright
[2022-05-11T08:06:39-0500] google-cloud-sdk
[2022-05-11T10:11:14-0500] wireplumber
[2022-05-11T18:45:23-0500] curl
[2022-05-11T18:45:23-0500] fuse-common
[2022-05-11T18:45:23-0500] fuse3
[2022-05-11T18:45:23-0500] intel-ucode
[2022-05-11T18:45:24-0500] linux
[2022-05-11T18:45:24-0500] nvidia
[2022-05-11T18:45:24-0500] psmisc
[2022-05-12T11:01:59-0500] bubblewrap
[2022-05-12T11:01:59-0500] libxml2
[2022-05-12T11:01:59-0500] libnotify
[2022-05-12T11:01:59-0500] gnome-todo
[2022-05-12T11:01:59-0500] python-setuptools
[2022-05-12T11:01:59-0500] jupyterlab
[2022-05-12T11:01:59-0500] python-cryptography
[2022-05-12T20:27:43-0500] pcsclite
[2022-05-12T20:27:43-0500] postgresql-libs
[2022-05-13T08:51:14-0500] jupyterlab
[2022-05-13T08:51:14-0500] librsvg
[2022-05-13T08:51:14-0500] mobile-broadband-provider-info
[2022-05-13T08:51:14-0500] noto-fonts
[2022-05-13T08:51:14-0500] pcsclite
[2022-05-13T08:51:15-0500] vulkan-headers
[2022-05-13T08:51:15-0500] vulkan-icd-loader

~ Vijay